/*
 * CDateTime.h
 *
 *  Created on: 22 avr. 2010
 *      Author: iris
 */

#ifndef CDATETIME_H_
#define CDATETIME_H_

#include <iostream>
#include "commun.h"

using namespace std;

namespace WAVENIS {

class CDateTime {
public:

#define SIZEDATE      6
#define JJ            0
#define MM            1
#define AA            2
#define JS            3
#define HH            4
#define MN            5

  CDateTime( string sDateTime );
  CDateTime( Byte* bDateTime );
  virtual ~CDateTime();
//  void SetDateTime(Byte* bDateTime);
//  void SetDateTime(string sDateTime);
  // Retrouver le tableau d'octets selon le format WAVENIS
  Byte* ToBytes();
  // Retrouver la chaîne date-time au format choisi à partir du tableau d'octets
  string ToString();

private:
  string Semaine[7];
  Byte bDateTime[SIZEDATE];
  string m_strDateTime;
  int Taille;
  Byte IndiceJourSemaine( string js );

  string m_JourSemaine;
  string m_Jour;
  string m_Mois;
  string m_Annee;
  string m_Heure;
  string m_Minutes;

};
}
#endif /* CDATETIME_H_ */
