
/*
 *  Copyright (C) 2012  plegal  (plegal@appert44.org)
 *  @file         CWavePortTest.h
 *  Classe        CWavePort
 *  @note         Classe en charge des tests unitaires
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _CWAVEPORTTEST_H
#define _CWAVEPORTTEST_H

// Includes system C

// Includes system C++
#include <cppunit/TestFixture.h>
#include <cppunit/extensions/HelperMacros.h>

// Includes qt

// Includes application
#include "CWavePort.h"

class CWavePortTest : public CppUnit::TestFixture
{
    CPPUNIT_TEST_SUITE(CWavePortTest);
    CPPUNIT_TEST(ConstructorTest);
    CPPUNIT_TEST(SerialDriverAndProtocolTest);
    CPPUNIT_TEST_SUITE_END();

public :
    void setUp();
    void tearDown();

    void ConstructorTest();
    void SerialDriverAndProtocolTest();

protected :
    // Attributs proteges

    // Methode protegees

private :
    // Attributs prives

    // Methodes privees
};

#endif  // _CWAVEPORTTEST_H


