/*******************************************************************************
 * Copyright (c) 2012 Coronis
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.

 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Contributors:
 *     Coronis - initial API and implementation
 *******************************************************************************/

#ifndef PROTOCOL_COMMON_H_
#define PROTOCOL_COMMON_H_

// C standard headers
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>

// domain headers
#include <generic_constants.h>
#include <loader.h>

/*
 * 	Protocol internal number that describes evolution version
 */
#define PROTOCOL_MAX_VERSION 0x00

/*
 * 	Protocol internal number that describes bugfixes version
 */
#define PROTOCOL_MIN_VERSION 0x00

#endif /* PROTOCOL_COMMON_H_ */
