/*******************************************************************************
 * Copyright (c) 2012 Coronis
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.

 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Contributors:
 *     Coronis - initial API and implementation
 *******************************************************************************/

#ifndef LISTENERS_H_
#define LISTENERS_H_

#include "serial_properties.h"

int serial_driver_frame_listener( void* param, const pSerialExchangeData frame );

int serial_driver_notify_listener( void* param, int notifyCode );

int serial_driver_spy_send_listener( void* param, int spyIndex, const pSerialExchangeData frame );

int serial_driver_spy_recv_listener( void* param, int spyIndex, const pSerialExchangeData frame );

void create_jni_global_ref_to_param( RealListeners* rl );

#endif /* LISTENERS_H_ */
