/**
 *  Copyright (C) 2013  plegal  (plegal@appert44.org)
 *  @file         WavePort.h
 *  @brief        New WavePort class based on Coronis SDK
 *  @version      0.1
 *  @date         17 févr. 2013 14:04:46
 *
 *  @note         Voir la description detaillee explicite dans le fichier
 *                WavePort.cpp
 *                C++ Google Style :
 *                http://google-styleguide.googlecode.com/svn/trunk/cppguide.xml
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef _WAVEPORT_H
#define _WAVEPORT_H

// Includes system C
//#include <stdint.h>  // definition des types int8_t, int16_t ...

// Includes system C++

// Includes qt

// Includes application

// Constantes
// ex :
// const int kDaysInAWeek = 7;

// Enumerations
// ex :
// enum Couleur
// {
//     kBlue = 0,
//     kWhite,
//     kRed,
// };

// Structures
// ex:
// struct UrlTableProperties
// {
//  string name;
//  int numEntries;
// }

// Declarations de classe avancees
// ex:
// class MaClasse;

/** @brief New WavePort class based on Coronis SDK
 *  Description detaillee de la classe.
 */
class WavePort
{
public :
    /**
     * Constructeur
     */
    WavePort();
    /**
     * Destructeur
     */
    ~WavePort();

    // Methodes publiques de la classe
    // ex : ReturnType NomMethode(Type);

    // Pour les associations :
    // Methodes publiques setter/getter (mutateurs/accesseurs) des attributs prives
    // ex :
    // void setNomAttribut(Type nomAttribut) { nomAttribut_ = nomAttribut; }
    // Type getNomAttribut(void) const { return nomAttribut_; }

protected :
    // Attributs proteges

    // Methode protegees

private :
    // Attributs prives
    // ex :
    // Type nomAttribut_;

    // Methodes privees
};

// Methodes publiques inline
// ex :
// inline void WavePort::maMethodeInline(Type valeur)
// {
//   
// }
// inline Type WavePort::monAutreMethode_inline_(void)
// {
//   return 0;
// }

#endif  // _WAVEPORT_H

