/*******************************************************************************
 * Copyright (c) 2012 Coronis
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.

 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Contributors:
 *     Coronis - initial API and implementation
 *******************************************************************************/

#ifndef DOMAIN_JNI_H_
#define DOMAIN_JNI_H_

#include <jni.h>

extern JavaVM *g_jvm;

/* caching the class references, or method and field IDs
 * this is only declaration of this function*/
extern void initialize_global_class_references( JavaVM *jvm, jint jniVersion );

/* uncaching the class references, or method and field IDs
* this is only declaration of this function*/
extern void uninitialize_global_class_references( JavaVM *jvm, jint jniVersion );

#endif//DOMAIN_JNI_H_
