/*******************************************************************************
 * Copyright (c) 2012 Coronis
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.

 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Contributors:
 *     Coronis - initial API and implementation
 *******************************************************************************/
#ifndef LOGGER_UTILS_H_
#define LOGGER_UTILS_H_

#include "serial_driver_types.h"
#include "protocol_types.h"

/*
 * 	Will dump to log file the content of passed serial frame
 * 	@param frame - serial frame
 */
void protocol_dump_frame (SerialFrame *frame);

/*
 * 	Will dump to log file the content of passed payload
 * 	@param payload - poinetr to payload strucre
 */
void protocol_dump_payload (Payload *payload);

#endif /* LOGGER_UTILS_H_ */
